{% extends "./plantilla.html" %}
{% load static %}

{% block title %}Product Admin - Productos{% endblock %}

{% block contenido %}
<div class="row tm-content-row">
    <!-- Formulario a la izquierda -->
    <div class="col-md-6 tm-block-col">
        <div class="tm-bg-primary-dark tm-block h-100">
            <h2 class="tm-block-title">Agregar Equipo</h2>
            <form action="/guardarEquipo/" method="post" class="tm-edit-product-form">
                {% csrf_token %}
                <div class="form-group mb-3">
                    <label for="nombre_equi">Nombre del Equipo</label>
                    <input id="nombre_equi" name="nombre_equi" type="text" class="form-control validate" required>
                </div>
                <div class="form-group mb-3">
                    <label for="siglas_equi">Siglas del Equipo</label>
                    <input id="siglas_equi" name="siglas_equi" type="text" class="form-control validate" required>
                </div>
                <div class="form-group mb-3">
                    <label for="fundacion_equi">Fundación del Equipo</label>
                    <input id="fundacion_equi" name="fundacion_equi" type="number" class="form-control validate" required>
                </div>
                <div class="form-group mb-3">
                    <label for="region_equi">Región del Equipo</label>
                    <input id="region_equi" name="region_equi" type="text" class="form-control validate" required>
                </div>
                <div class="form-group mb-3">
                    <label for="numero_titulos_equi">Número de Títulos</label>
                    <input id="numero_titulos_equi" name="numero_titulos_equi" type="number" class="form-control validate" required>
                </div>
                <center>
                    <button type="submit" name="button" class="btn btn-primary">Guardar</button>
                    &nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;
                  <a href="/" class="btn btn-danger ml-2">Cancelar</a>
                </center>
            </form>
        </div>
    </div>
    <!-- Tabla a la derecha -->
    <div class="col-md-6 tm-block-col">
        <div class="tm-bg-primary-dark tm-block h-100">
            <h2 class="tm-block-title">Listado de Equipos</h2>
            <table class="table table-hover tm-table-small tm-product-table">
                <thead>
                    <tr>
                        <th scope="col">Id</th>
                        <th scope="col">Nombre del Equipo</th>
                        <th scope="col">Siglas del Equipo</th>
                        <th scope="col">Fundación del Equipo</th>
                        <th scope="col">Región del Equipo</th>
                        <th scope="col">Número de Títulos</th>
                        <th scope="col">Acciones</th>
                    </tr>
                </thead>
                <tbody>
                    {% for equipo in equipos %}
                    <tr>
                        <td>{{ equipo.id_equi }}</td>
                        <td>{{ equipo.nombre_equi }}</td>
                        <td>{{ equipo.siglas_equi }}</td>
                        <td>{{ equipo.fundacion_equi }}</td>
                        <td>{{ equipo.region_equi }}</td>
                        <td>{{ equipo.numero_titulos_equi }}</td>
                        <td>
                            <a href="/editarEquipo/{{ equipo.id_equi }}" class="btn btn-warning btn-sm">Editar</a>
                            <a href="javascript:void(0)" onclick="eliminarEquipo('/eliminarEquipo/{{ equipo.id_equi }}');" class="btn btn-danger btn-sm">Eliminar</a>
                        </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
    <script type="text/javascript">
        function eliminarEquipo(url) {
            iziToast.question({
                timeout: 15000,
                close: true,
                overlay: true,
                displayMode: 'once',
                id: 'question',
                zindex: 999,
                title: 'CONFIRMACIÓN',
                message: '¿Está seguro de eliminar el destino seleccionado?',
                position: 'center',
                buttons: [
                    ['<button><b>SI</b></button>', function (instance, toast) {
                        instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                        window.location.href=url;
                    }, true],
                    ['<button>NO</button>', function (instance, toast) {
                        instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                    }],
                ]
            });
        }
    </script>
</div>
{% endblock %}
